rwmutex.h(3)

NAME
rwmutex.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/threads/common.h>

  Functions
cc_rwmutex * cc_rwmutex_construct (void)
cc_rwmutex * cc_rwmutex_construct_etc (cc_precedence policy)
void cc_rwmutex_destruct (cc_rwmutex *rwmutex)
int cc_rwmutex_write_lock (cc_rwmutex *rwmutex)
int cc_rwmutex_write_try_lock (cc_rwmutex *rwmutex)
int cc_rwmutex_write_unlock (cc_rwmutex *rwmutex)
int cc_rwmutex_read_lock (cc_rwmutex *rwmutex)
int cc_rwmutex_read_try_lock (cc_rwmutex *rwmutex)
int cc_rwmutex_read_unlock (cc_rwmutex *rwmutex)

Function Documentation

  cc_rwmutex * cc_rwmutex_construct (void)
Construct a read-write mutex, with read precedence.

  cc_rwmutex * cc_rwmutex_construct_etc (enum cc_precedence policy)
Construct a read-write mutex, with read precedence or write precedence.

  void cc_rwmutex_destruct (cc_rwmutex * rwmutex)
Destruct a read-write mutex.

  int cc_rwmutex_write_lock (cc_rwmutex * rwmutex)
Locks the specified rwmutex for writing.

  int cc_rwmutex_write_try_lock (cc_rwmutex * rwmutex)
Check whether the given rwmutex* is available for write locking.

  int cc_rwmutex_write_unlock (cc_rwmutex * rwmutex)
Unlock the write lock on the given rwmutex.

  int cc_rwmutex_read_lock (cc_rwmutex * rwmutex)
Locks the specified rwmutex for reading.

  int cc_rwmutex_read_try_lock (cc_rwmutex * rwmutex)
Check whether the given rwmutex* is available for read locking.

  int cc_rwmutex_read_unlock (cc_rwmutex * rwmutex)
Unlock the read lock on the given rwmutex.

Author

Generated automatically by Doxygen for Coin from the source code.